%define upstream_name    Devel-Callsite
%define upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Get caller return OP or Interp address
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The _callsite()_ function returns the the OP address of the caller, a
number, one level up from where it was called. It's useful for functions
that need to uniquely know where they were called, such as
_Every::every()_; see the Every manpage. Or it can be used to the pinpoint
a location with finer granularity than a line
number|http://www.perlmonks.com/?node_id=987268 manpage. In conjunction
with an OP tree disassembly you can know exactly where the caller is
located in the Perl source.

The _context()_ function returns the interpreter context as a number. This
is a fairly unique number together with the call site.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 365681
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.60.0-1.mga3
+ Revision: 302377
- imported package perl-Devel-Callsite

